View Issue Details

IDProjectCategoryView StatusLast Update
0032564Open CASCADEOCCT:Foundation Classespublic2021-09-11 14:06
Reporterkgv Assigned Tosmoskvin  
PrioritynormalSeveritytweak 
Status closedResolutionfixed 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032564: Foundation Classes, OSD_CachedFileSystem - allow referring to non-default File System
DescriptionOSD_CachedFileSystem implementation creates cached stream using default file system.
In some scenarios, it would be useful overriding this behavior.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required

Relationships

child of 0032099 closedbugmaster Visualization - define OSD_FileSystem class managing opening of file streams 

Activities

git

2021-09-09 18:00

administrator   ~0103943

Branch CR32564 has been created by kgv.

SHA-1: 4542c792c34f7d9684a73cbbb524103c3f9839f9


Detailed log of new commits:

Author: kgv
Date: Thu Sep 9 18:00:38 2021 +0300

    0032564: Foundation Classes, OSD_CachedFileSystem - allow referring to non-default File System
    
    Linked file system can be now customized within OSD_CachedFileSystem.

git

2021-09-09 18:13

administrator   ~0103945

Branch CR32564 has been updated forcibly by kgv.

SHA-1: a5958ae9f7af4f737071bde9a6b55b577b80494a

kgv

2021-09-09 19:43

developer   ~0103952

Please raise the patch
- OCCT: branch CR32564.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32564-master-KGV/

smoskvin

2021-09-11 13:25

administrator   ~0104009

Combination -
OCCT branch : IR-2021-09-10
master SHA - 9ae883970dd77a39d856b49e6883ed5d0e60d20f
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-09-10 SHA - 2d2bc879e2da9d770a1938ab3410f5885c8555e7
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17358.54000000042 / 17496.500000000422 [-0.79%]
Products
Total CPU difference: 11397.800000000112 / 11567.680000000111 [-1.47%]
Windows-64-VC14:
OCCT
Total CPU difference: 19328.109375 / 19307.609375 [+0.11%]
Products
Total CPU difference: 12733.328125 / 12920.953125 [-1.45%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-09-11 14:06

administrator   ~0104046

Branch CR32564 has been deleted by mnt.

SHA-1: a5958ae9f7af4f737071bde9a6b55b577b80494a

Related Changesets

occt: master 801e67bc

2021-09-09 15:00:38

kgv


Committer: smoskvin Details Diff
0032564: Foundation Classes, OSD_CachedFileSystem - allow referring to non-default File System

Linked file system can be now customized within OSD_CachedFileSystem.
Affected Issues
0032564
mod - src/OSD/OSD_CachedFileSystem.cxx Diff File
mod - src/OSD/OSD_CachedFileSystem.hxx Diff File

Issue History

Date Modified Username Field Change
2021-09-09 17:33 kgv New Issue
2021-09-09 17:33 kgv Assigned To => kgv
2021-09-09 17:34 kgv Relationship added child of 0032099
2021-09-09 18:00 git Note Added: 0103943
2021-09-09 18:13 git Note Added: 0103945
2021-09-09 19:43 kgv Note Added: 0103952
2021-09-09 19:43 kgv Assigned To kgv => bugmaster
2021-09-09 19:43 kgv Status new => resolved
2021-09-09 19:43 kgv Status resolved => reviewed
2021-09-11 13:25 smoskvin Note Added: 0104009
2021-09-11 13:25 smoskvin Status reviewed => tested
2021-09-11 13:34 smoskvin Test case number => Not required
2021-09-11 13:43 smoskvin Changeset attached => occt master 801e67bc
2021-09-11 13:43 smoskvin Assigned To bugmaster => smoskvin
2021-09-11 13:43 smoskvin Status tested => verified
2021-09-11 13:43 smoskvin Resolution open => fixed
2021-09-11 14:06 git Note Added: 0104046